{ config, lib, pkgs, ... }:

with lib;

let cfg = config.features.gaming.steam;

in {

  options.features.gaming.steam.enable = mkEnableOption "enable Steam";

  config = mkIf cfg.enable {
  programs.steam = {
    enable = true;
    remotePlay.openFirewall = true;
    dedicatedServer.openFirewall = true;
  };
}
