{ config, lib, pkgs, ... }:
let

in {
  programs = {
    home-manager.enable = true;
    git.enable = true;
  };

  home = {
    username = lib.mkDefault "m3tam3re";
    homeDirectory = lib.mkDefault "/home/${config.home.username}";
  };
}
