{ config, pkgs, ... }: {
  imports = [
    ./base
    ../../features/cli
    ../../features/coding
    ../../features/desktop
    ../../features/gaming
    ../../features/virtualization
  ];

  features = {
    cli = {
      fish.enable = true;
      neofetch.enable = true;
      starship.enable = true;
      tmux.enable = true;
    };
    gaming = {
      steam.enable = true;
      sunshine.enable = true;
    };
    desktop = {
      
    };
    virtualization = {

    };
    
  };

  home.stateVersion = "22.11";
}
